package model;

import java.io.DataOutputStream;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.PrintWriter;

public class Save {
	private AlarmList alarms;
	public Save(AlarmList l) {
		alarms = l;
	}
	public boolean saveAs(String fileName, FileType t) {
		switch (t) {
			case BINARY :
				try (DataOutputStream s = new DataOutputStream(new FileOutputStream(fileName))) {
					Operation op = new SaveBinary(s);
					alarms.performs(op);
				} catch (Exception e) {
					return false;
				}
				break;
			default :
				try (PrintWriter w = new PrintWriter(new FileWriter(fileName))) {
					Operation op = SaveFactory.saveForType(t, w);
					alarms.performs(op);
				} catch (Exception e) {
					return false;
				}
		}
		return true;
	}
}
