package model;

import java.io.PrintWriter;
import java.util.Iterator;

public class SaveJSON implements Operation {
	private PrintWriter w;
	public SaveJSON(PrintWriter w) {
		this.w = w;
	}
	public void doItOn(AlarmList l) throws Exception {
		w.println("[");
		Iterator<Alarm> it = l.iterator();
		while(it.hasNext()) {
			doItOn(it.next());
			if (it.hasNext()) w.println(",");
		}
		w.println("]");
	}
	public void doItOn(Alarm a) throws Exception {
		w.print("{ ");
		w.print("\"nom\":\"");
		w.print(a.getName());
		w.print("\", \"heure\":");
		doItOn(a.getTime());
		w.print(", \"active\":");
		w.print((a.isEnabled()) ? "\"oui\"" : "\"non\"");
		w.println(" }");
	}
	public void doItOn(Time t) throws Exception {
		w.print("{ ");
		w.print("\"h\":");
		w.print(t.hour());
		w.print(", ");
		w.print("\"m\":");
		w.print(t.minute());
		w.print("} ");
	}
}
