package model;

import java.io.PrintWriter;

public class SaveXML implements Operation {
	private PrintWriter w;
	public SaveXML(PrintWriter w) {
		this.w = w;
	}
	public void doItOn(AlarmList l) throws Exception {
		w.println("<AlarmList>");
		for(Alarm a : l) { doItOn(a); }
		w.println("</AlarmList>");
	}
	public void doItOn(Alarm a) throws Exception {
		w.println("<Alarm>");
		w.print("<name>");
		w.print(a.getName());
		w.println("</name>");
		doItOn(a.getTime());
		w.print("<enabled>");
		w.print((a.isEnabled()) ? "\"true\"" : "\"false\"");
		w.println("</enabled>");
		w.println("</Alarm>");
	}
	public void doItOn(Time t) throws Exception {
		w.print("<time>");
		w.print("<hour>");
		w.print(t.hour());
		w.println("</hour>");
		w.print("<minute>");
		w.print(t.minute());
		w.println("</minute>");
		w.println("</time>");
	}
}
