package view;

import java.awt.Dimension;
import java.awt.Frame;
import java.io.File;
import java.awt.Font;
import java.awt.FlowLayout;

import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;
import javax.swing.JDialog;
import javax.swing.JLabel;

import model.Alarm;

@SuppressWarnings("serial")
public class AlarmDialog extends JDialog {
	private static AlarmDialog uniqueInstance = null;
	private static JLabel alarmDescription;
	private static Clip alarmSound;
    private AlarmDialog() {
        super((Frame)null, "Alarme", false);
        Dimension dim = new Dimension(400,100);
        setDefaultCloseOperation(JDialog.HIDE_ON_CLOSE);
        setSize(400,150); setResizable(false);
        setLayout(new FlowLayout());
        alarmDescription = new JLabel("Description", JLabel.CENTER);
        alarmDescription.setFont(new Font("Arial", Font.BOLD, 20));
        alarmDescription.setPreferredSize(dim);
        add(alarmDescription);
		try {
			File file = new File("alarm.wav");
			AudioInputStream audioIn = AudioSystem.getAudioInputStream(file);
			alarmSound = AudioSystem.getClip();
			alarmSound.open(audioIn);
		} catch(Exception e) { e.printStackTrace(); }
    }
    public static AlarmDialog getInstance() {
    	if (uniqueInstance == null)
    		uniqueInstance = new AlarmDialog();
    	return uniqueInstance;
    }
    public void display(Alarm a) {
		alarmSound.setFramePosition(0);
		alarmSound.start();
    	setTitle("Il est " + a.getTime());
    	alarmDescription.setText(a.getName());
    	setVisible(true);
    }
}
