package view;

import java.awt.Dimension;
import java.awt.Font;
import java.awt.FlowLayout;

import javax.swing.JFrame;
import javax.swing.JLabel;

import model.Alarm;

@SuppressWarnings("serial")
public class Digital12AlarmView extends JFrame {
	private Alarm alarm;
	private JLabel timeLabel;
	private JLabel halfDayLabel;
	private static final Font font1 = new Font("Arial", Font.BOLD, 70);
	private static final Font font2 = new Font("Arial", Font.ITALIC, 70);
	private static final Font font3 = new Font("Arial", Font.PLAIN, 20);
	private static final Dimension viewDim = new Dimension(350, 160);
	private static final Dimension timeDim = new Dimension(350, 80);
	private static final Dimension halfDim = new Dimension(350, 25);
    public Digital12AlarmView(Alarm al, AlarmListFrame frame) {
    	alarm = al;
        setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        setLocationRelativeTo(frame);
       	setTitle(al.getName());
        setSize(viewDim);
        setResizable(false);
        setLayout(new FlowLayout());
        timeLabel = new JLabel(alarm.getTime().toString(false, false), JLabel.CENTER);
        timeLabel.setFont(alarm.isEnabled() ? font1 : font2);
        timeLabel.setPreferredSize(timeDim);
        add(timeLabel);
        halfDayLabel = new JLabel(alarm.getTime().isMorningTime() ? "matin" : "aprs-midi", JLabel.CENTER);
        halfDayLabel.setFont(font3);
        halfDayLabel.setPreferredSize(halfDim);
        add(halfDayLabel);
    }
}
