package view;

import java.awt.Dimension;
import java.awt.Font;
import java.awt.FlowLayout;

import javax.swing.JFrame;
import javax.swing.JLabel;

import model.Alarm;

@SuppressWarnings("serial")
public class Digital24AlarmView extends JFrame {
	private Alarm alarm;
	private JLabel timeLabel;
	private static final Font font1 = new Font("Arial", Font.BOLD, 70);
	private static final Font font2 = new Font("Arial", Font.ITALIC, 70);
	private static final Dimension viewDim = new Dimension(350, 140);
	private static final Dimension timeDim = new Dimension(350, 90);
    public Digital24AlarmView(Alarm al, AlarmListFrame frame) {
    	alarm = al;
        setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        setLocationRelativeTo(frame);
       	setTitle(al.getName());
        setSize(viewDim);
        setResizable(false);
        setLayout(new FlowLayout());
        timeLabel = new JLabel(alarm.getTime().toString(), JLabel.CENTER);
        timeLabel.setFont(alarm.isEnabled() ? font1 : font2);
        timeLabel.setPreferredSize(timeDim);
        add(timeLabel);
    }
}
